summaryrefslogtreecommitdiff
path: root/tools/repo2solv.sh
diff options
context:
space:
mode:
authorStephan Kulow <coolo@suse.de>2008-03-24 13:25:11 +0000
committerStephan Kulow <coolo@suse.de>2008-03-24 13:25:11 +0000
commit5841c87a2e49d6cfaff19ddf0c5f3105e6df6c23 (patch)
treedd0a2c30e6874fe71fe6a34848b2b77680d2930f /tools/repo2solv.sh
parenta21f5f7120d2e9574d2717bb4bf3d3e3caedcc8c (diff)
downloadlibsolv-5841c87a2e49d6cfaff19ddf0c5f3105e6df6c23.tar.gz
libsolv-5841c87a2e49d6cfaff19ddf0c5f3105e6df6c23.tar.bz2
libsolv-5841c87a2e49d6cfaff19ddf0c5f3105e6df6c23.zip
support plaindir repos (at least some)
Diffstat (limited to 'tools/repo2solv.sh')
-rwxr-xr-xtools/repo2solv.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tools/repo2solv.sh b/tools/repo2solv.sh
index 0fb3da7..22461b7 100755
--- a/tools/repo2solv.sh
+++ b/tools/repo2solv.sh
@@ -97,5 +97,10 @@ elif test -d suse/setup/descr && test -s content; then
) | susetags2solv -c "${olddir}/content" $parser_options || exit 4
cd "$olddir"
else
- exit 1
+ rpms=`ls -1 *.rpm`
+ if test -n "$rpms"; then
+ rpms2solv $rpms
+ else
+ exit 1
+ fi
fi